# EXTSRGB (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class EXTSRGB

    java.lang.Object
      org.lwjgl.opengles.EXTSRGB

    public final class EXTSRGB

extends java.lang.Object

Field Summary
`static int` `GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING_EXT` Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static int` `GL_SRGB_ALPHA_EXT` Accepted by the <format> and <internalformat> parameter of TexImage2D, and TexImage3DOES.
`static int` `GL_SRGB_EXT` Accepted by the <format> and <internalformat> parameter of TexImage2D, and TexImage3DOES.
`static int` `GL_SRGB8_ALPHA8_EXT` Accepted by the <internalformat> parameter of RenderbufferStorage:

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_SRGB_EXT

    public static final int GL_SRGB_EXT

  Accepted by the <format> and <internalformat> parameter of TexImage2D, and TexImage3DOES. These are also accepted by <format> parameter of TexSubImage2D and TexSubImage3DOES:

  See Also:
    Constant Field Values

### GL_SRGB_ALPHA_EXT

    public static final int GL_SRGB_ALPHA_EXT

  Accepted by the <format> and <internalformat> parameter of TexImage2D, and TexImage3DOES. These are also accepted by <format> parameter of TexSubImage2D and TexSubImage3DOES:

  See Also:
    Constant Field Values

### GL_SRGB8_ALPHA8_EXT

    public static final int GL_SRGB8_ALPHA8_EXT

  Accepted by the <internalformat> parameter of RenderbufferStorage:

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING_EXT

    public static final int GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING_EXT

  Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.